Name:       k9s
Version:    0.50.6
Release:    1%{?dist}
Summary:    K9s provides a terminal UI to interact with your Kubernetes clusters
License:    Apache v2.0
URL:        https://github.com/derailed/k9s
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:    k9s.desktop

BuildRequires:  golang, git, desktop-file-utils

%global debug_package %{nil}

%description
K9s provides a terminal UI to interact with your Kubernetes clusters. The aim of this project is to make it easier to navigate, observe and manage your applications in the wild. K9s continually watches Kubernetes for changes and offers subsequent commands to interact with your observed resources.


%prep
%autosetup -p1


%build
make build

%install
install -Dpm 0755 execs/k9s %{buildroot}%{_bindir}/%{name}
install -Dm0644 assets/k9s.png "%{buildroot}%{_datadir}/icons/hicolor/scalable/apps/k9s.png"
desktop-file-install --dir="%{buildroot}%{_datadir}/applications" %{SOURCE1}
desktop-file-validate "%{buildroot}%{_datadir}/applications/k9s.desktop"
execs/k9s completion bash | install -Dm644 /dev/stdin "%{buildroot}%{_datadir}/bash-completion/completions/k9s"


%files
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/k9s.png
%{_datadir}/applications/k9s.desktop
%{_datadir}/bash-completion/completions/k9s

%changelog
* Fri May 30 2025 Martin Kaufmann <martinkaufmann@tuta.io> - 0.50.6-1
- Initial build
